
Vector License Client for Linux
===============================

The Vector License Client is the central tool to manage all licenses for Vector
tools. This package contains the distribution of the Vector License Client for
RPM-based Linux distributions.


Package Contents
----------------

The following files are part of this distribution:

* README.md

  This file. Contains general information and installation instructions.

* VectorLicenseClient-3.2.0-1.x86_64.rpm

  RPM archive for the Vector License Client

* CodeMeter-7.50.5271-500.x86_64.rpm

  RPM archive for the CodeMeter runtime. This runtime must be installed as
  dependency for the Vector License Client.


Dependencies
------------

For operation a Java Runtime Environment (JRE) is required. The minimum supported version is 11.
Due to differences in packaging, in some cases the required JRE may not be automatically
installed as a dependency of the Vector License Client. In such cases, please install the
appropriate package (such as jre-11-headless) manually.


Installation Instructions
-------------------------

Depending on your Linux distribution you have options for installing RPM
packages. If available, it is advised to prefer the installation using your
distribution's custom tool over the installation with the generic rpm command.

The following sections show examples for some distributions. If your
distribution is not listed here, or the instructions are not applicable for
your setup, consult your distribution's documentation on installing RPM
packages.


SUSE Linux / openSUSE
----

Install the packages using the `zypper` command line tool.

    $ zypper install CodeMeter-7.50.5271-500.x86_64.rpm VectorLicenseClient-3.2.0-1.x86_64.rpm

This will install the Vector License Client and the CodeMeter runtime. The same
command can also be used if an older version is already installed. In that
case, an upgrade will be performed instead.

If the same or a newer version of the CodeMeter runtime is already installed, it
can be omitted from the call. In that case only the Vector License Client will
be installed, the CodeMeter runtime will not be modified.

    $ zypper install VectorLicenseClient-3.2.0-1.x86_64.rpm


Red Hat Enterprise Linux / CentOS
----

Install the packages using the `yum` command line tool.

    $ yum install CodeMeter-7.50.5271-500.x86_64.rpm VectorLicenseClient-3.2.0-1.x86_64.rpm

This will install the Vector License Client and the CodeMeter runtime. The same
command can also be used if an older version is already installed. In that
case, an upgrade will be performed instead.

If the same or a newer version of the CodeMeter runtime is already installed, it
can be omitted from the call. In that case only the Vector License Client will
be installed, the CodeMeter runtime will not be modified.

    $ yum install VectorLicenseClient-3.2.0-1.x86_64.rpm


Generic RPM
----

This sections describes how to install the Vector License Client using the
`rpm` command. If your distribution has a custom tool for managing RPM packages
it is advised to use that tool instead. Using the `rpm` tool instead where a
custom tool is present may put your system stability at risk.

    $ rpm -U CodeMeter-7.50.5271-500.x86_64.rpm VectorLicenseClient-3.2.0-1.x86_64.rpm

This will install the Vector License Client and the CodeMeter runtime. The same
command can also be used if an older version is already installed. In that
case, an upgrade will be performed instead.

If the same or a newer version of the CodeMeter runtime is already installed, it
can be omitted from the call. In that case only the Vector License Client will
be installed, the CodeMeter runtime will not be modified.

    $ rpm -U VectorLicenseClient-3.2.0-1.x86_64.rpm


Usage
-----

The Vector License Client for Linux is a command line tool, which can be executed
as "VectorLicenseClient".

Detailed usage instruction can be found in the help files, which have been installed to
/usr/share/doc/vector-license-client .
